LR_LOG2MAIL.IN(1)

NAME
lr_log2mail - send a report generated from a log file by email

SYNOPSIS
lr_log2mail [options] service addresses...

lr_log2report --version

lr_log2report --help [dlf-converters|output-formats|report-templates]

OPTIONS

--help [section]
    If no argument is given, prints usage information and exits. Argument can be one of the following:

    dlf-converters
        Prints the list of available DLF converters and exits.

    output-formats
        Prints the list of available output formats and exits.

    report-templates
        Prints the list of available report templates and exits.

--version
    Prints Lire's version and exits.

--output-format|-o output format
    Selects the ouput format in which to generate the report.

--template name
    Uses the report configuration named name to generate the report.

--log-file logfile
    Selects the log file that should be processed instead of STDIN.

--subject|-s subject
    Sets the subject of the email message. Defaults to 'Your format report'.

--extra-file file
    An additional text file that will be sent along the report. If the output format is txt, it will be appended to the report.

DESCRIPTION
The lr_log2mail command is similar to the lr_log2report(1) command with the difference that the report is sent by email. The log file is read from STDIN or from the file specified using the --log-file option. The format of the log file is specified using the dlf_converter argument. Use the --help-dlf-converters option to get a list of all currently available DLF converters. All remaining arguments are interpreted as email addresses to which to send the report. In case the log is passed in a compressed format, it's uncompressed on the fly, using gzip(1).

The report will be encapsulated in a MIME email appropriate for the output format. For example, ASCII reports will be sent inline, PDF reports will be sent as a file attachment and HTML reports should appear inline in a HTML-capable mail reader.

The From and Reply-To headers in the outgoing emails are set to the values of the lr_mail_from and lr_mail_replyto configuration variables.

EXAMPLE
 % lr_log2mail -s "bind8 report" bind8_query \
     root "Joe User <joe@example.com>" < /var/log/query.log

SEE ALSO
lr_log2report(1), lr_xml2report(1), lr_xml2mail(1), lire(1), lire(7), documentation in the Lire User Manual

AUTHORS
  Joost van Baal <joostvb@logreport.org>
  Francis J. Lacoste <flacoste@logreport.org>

VERSION
$Id: lr_log2mail.in,v 1.60 2006/07/23 13:16:33 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000-2004 Stichting LogReport Foundation LogReport@LogReport.org

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.